#!/bin/sh
set -e

#DEBHELPER#

case "$1" in
    configure)
        if [ -z "$2" ]; then
            adduser --system repository
            addgroup --system repo
            echo "%repo   ALL=(repository)        ALWAYS_SET_HOME,NOPASSWD: /usr/bin/reprepro" >>/etc/sudoers
            echo "-----"
            echo "invirt-dev: run"
            echo "  adduser --disabled-password \$user"
            echo "  adduser \$user repo"
            echo "  adduser \$user sbuild"
            echo "to make individual users that will build packages."
            echo "-----"
        fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac
